Update a device
put
Authorizations
defguard_sessionstringRequired
Path parameters
device_idinteger · int64Required
ID of the device.
Body
descriptionstring · nullableOptional
namestringRequired
wireguard_pubkeystringRequired
Responses
200
Device updated.
application/json
configuredbooleanRequired
Whether the device is ready to use. Unconfigured devices are not sent to the gateway. Such a device is already added to all its networks, but is still missing something, for example its public key.
createdstring · date-timeRequired
descriptionstring · nullableOptional
device_typestring · enumRequiredPossible values:
idinteger · int64Required
namestringRequired
user_idinteger · int64Required
wireguard_pubkeystringRequired
400
No networks are configured, or the public key belongs to a location.
application/json
401
Session is missing or invalid.
application/json
403
Requires admin privileges or the request must target your own account.
application/json
404
Device not found.
application/json
500
Unable to update device.
application/json
put/api/v1/device/{device_id}
Last updated
Was this helpful?